language: ruby
dist: trusty
sudo: false
cache: bundler
before_install:
  - "if $(ruby -e 'exit(RUBY_VERSION >= \"2.3.0\")'); then env -u RUBYOPT gem update --system; fi"
  - "if $(ruby -e 'exit(RUBY_VERSION >= \"2.3.0\")'); then env -u RUBYOPT gem install bundler --no-document; fi"
  - "if $(ruby -e 'exit(RUBY_VERSION <  \"2.3.0\")'); then gem install bundler -v 1.17.3 --no-document; fi"
bundler_args: --binstubs
script: "bundle exec ruby test/suite.rb"
rvm:
  - ruby-head
  - 2.6.3
  - 2.5.5
  - 2.4.5
  - 2.3.8
  - 2.2.10
  - 2.1.10
  - 2.0.0
  - 1.9.3
  - 1.9.2
  - 1.8.7
  - rbx-19mode
  - rbx-18mode
  - jruby-head
  - jruby-19mode
  - jruby-18mode
  - ree
matrix:
  include:
    - rvm: 2.4.5
      env: RUBYOPT='--enable-frozen-string-literal --debug-frozen-string-literal' USE_LATEST_RUBY_OLE=yes
    - rvm: 2.5.5
      env: RUBYOPT='--enable-frozen-string-literal --debug-frozen-string-literal' USE_LATEST_RUBY_OLE=yes
    - rvm: 2.6.3
      env: RUBYOPT='--enable-frozen-string-literal --debug-frozen-string-literal' USE_LATEST_RUBY_OLE=yes
  allow_failures:
    - rvm: ruby-head
    - rvm: rbx-19mode
    - rvm: rbx-18mode
    - rvm: jruby-head
    - rvm: jruby-19mode
    - rvm: jruby-18mode
    - rvm: ree
email:
  false
